<?php

namespace Modules\Admin\Config\Gds\Pccs;

use \App\Mvc\View\Utils\Types\ListingColumns;
use \App\Mvc\View\Utils\Types\ListingColumn;

class View_List extends \App\Mvc\View_Window_PaginatedListing_ListAbstract
{

    /**
     * Results per page list
     * @var array
     */
    protected $resultsPerPageList = [5, 10, 15, 20, 25, 30, 50, 100, PHP_INT_MAX];

    /**
     * {@inheritDoc}
     * @see \App\Mvc\View_Window_PaginatedListing_ListAbstract::list_getThDetails()
     */
    protected function list_getThDetails()
    {
        return ListingColumns::create()
            ->append(
                ListingColumn::create('id')
            )
            ->append(
                ListingColumn::create('gds')
            )
            ->append(
                ListingColumn::create('alias')
            )
            ->loadLabels($this->lang['index']['listCols'])
            ->loadSettings($this->input['listingParams']->getDynamicColumnsSettings());
    }

}